@import "../base/variable.scss";
@import "../base/mixins.scss";

.dashboard_section {
    .dashboard_inner {
        height: 100%;
        max-height: 100%;
        display: flex;
        .side_bar_section {
            width: 336px;
            float: left;
            border-right: 2px solid $border_line;
            // box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 15px 0px;
            @include clearfix();
            .side_bar_area {
                // background-color: $white;
              
                padding-top: 140px;
               
                text-align: center;
                width: 100%;
                position: sticky;
                top: 0;
                float: left;
               
                .box_area {
                    .image_area {
                        a {
                            .user-img-warp {
                                width: 100px;
                                height: 100px;
                                position: relative;
                                margin: 0 auto;
                                padding-bottom: 20px;
                                .user_img {
                                    // width: 100px;
                                    // height: 100px;
                                    overflow: hidden;
                                    border-radius: 30px;
                                    margin: 0 auto;
                                    margin-bottom: 20px;

                                    img {
                                        padding: 10px;
                                        border: 2px solid $red;
                                        border-radius: 30px;
                                        width: 100%;
                                        height: 100%;
                                        object-fit: cover;
                                    }
                                }
                            }
                        }
                        .name {
                            padding-top: 20px;
                            font-size: 20px;
                            padding-bottom: 5px;
                            color: $black;
                            font-weight: 500;
                        }
                        .post {
                            color: $offfspra2;
                            font-size: 14px;
                        }
                    }
                    .menu_area {
                        background-color: $sidebar_bg;
                        margin-top: 40px;
                        padding-top: 38px;
                        padding-right: 20px;
                        padding-left: 20px;
                        padding-bottom: 30px;
                        height: 100vh;
                        @include clearfix();
                        ul {
                            li {
                                // padding: 14px;
                                // margin-top: 10px;
                                // padding-left: 30px;
                                // position: relative;
                                // @include transition(all 0.8s ease);

                                // &::after{
                                // position: absolute;
                                // content: "";
                                // left: 0;
                                // width: 10px;
                                // height: 24px;
                                // background-color: transparent;
                                // top: 23%;
                                // border-radius: 20px;
                                // @include transition(all 0.5s ease);
                                // }
                                &.active {
                                    a {
                                        background-color: $red;
                                        border-radius: 15px;
                                        color: $white;
                                        .icon {
                                            i {
                                                color: $white;
                                                font-size: 18px;
                                            }
                                        }
                                        .text {
                                            color: $white;
                                            font-size: 15px;
                                            font-weight: 500;

                                        }
                                    }
                                    @include transition(all 0.8s ease);

                                    &::after {
                                        background-color: $primary_color;
                                        @include transition(all 0.5s ease);
                                    }

                                }

                                // &:hover {
                                //     background-color: $red;
                                //     border-radius: 15px;
                                //     @include transition(all 0.8s ease);

                                //     &::after {
                                //         background-color: $primary_color;
                                //         @include transition(all 0.5s ease);
                                //     }

                                //     a {
                                //         color: $white;

                                //         .icon {
                                //             float: left;
                                //             padding-right: 20px;
                                //         }

                                //         .text {
                                //             text-align: start;
                                //             font-size: 15px;
                                //             font-weight: 500;
                                //         }
                                //     }
                                // }

                                a {
                                    color: $black;
                                    display: block;
                                    padding: 14px;
                                    margin-top: 10px;
                                    border-radius: 15px;
                                    padding-left: 30px;
                                    position: relative;
                                    @include transition(all 0.8s ease);
                                    &:hover {
                                        background-color: $red;
                                        color: $white;
                                        @include transition(all 0.8s ease);
                                        &::after {
                                            background-color: $primary_color;
                                            @include transition(all 0.5s ease);
                                        }
                                        .icon {
                                            float: left;
                                            padding-right: 20px;
                                            color: $white;
                                        }
                                        .text {
                                            text-align: start;
                                            font-size: 15px;
                                            font-weight: 500;
                                            color: $white;
                                        }
                                    }
                                    .icon {
                                        float: left;
                                        padding-right: 20px;
                                        font-size: 18px;
                                    }
                                    .text {
                                        text-align: start;
                                        font-size: 15px;
                                        font-weight: 500;
                                    }
                                }
                            }
                            h6 {
                                text-align: start;
                                padding-left: 28px !important;
                                padding: 20px 0;
                                font-size: 18px;
                                font-weight: 600;
                                position: relative;

                                &::after {
                                    position: absolute;
                                    content: "";
                                    top: 50%;
                                    right: -19px;
                                    background-color: $crter;
                                    width: 45%;
                                    height: 2px;
                                }
                            }

                        }
                    }
                }
            }
        }
        .right_side_wrap {
            width: calc(100% - 336px);
            float: left;
            position: relative;
            // background-color: $black;
            @include clearfix();
        }
    }
}


/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1366px) and (max-width: 1499px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .dashboard_section {
        .dashboard_inner {
            .side_bar_section {
                width: 245px;
                .side_bar_area {
                    padding-top: 154px;
                    width: 100%;
                    .box_area {
                        .menu_area {
                            padding-left: 10px;
                            padding-right: 10px;
                            ul{
                                li{
                                    a{
                                        padding-left: 23px;
                                        height: 53px;
                                        line-height: 26px;
                                        text{
                                            font-size: 14px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .right_side_wrap {
                width: calc(100% - 245px);
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .dashboard_section{
          .dashboard_inner{
            display: block;
            padding-top: 69px;
            .side_bar_section{
                width: 100%;
                float: unset;
                border-right: 0;
                .side_bar_area {
                    padding-top: 38px;
                    padding-right: 0;
                    border-right: none;
                    width: 100%;
                    position: unset;
                    height: auto;
                    padding-bottom: 0;
                    .box_area {
                        .menu_area {
                            padding: 0;
                            height: auto;
                        }
                    }
                }
            }
            .right_side_wrap {
                width: 100%;
                float: unset;
                @include clearfix();
                &.top-space {
                    padding-top: 30px !important;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .dashboard_section {
        .dashboard_inner {
            display: block;
            padding-top: 68px;
            .side_bar_section{
                width: 100%;
                float: unset;
                border-right: 0;
                .side_bar_area {
                    padding-top: 56px;
                    padding-right: 0;
                    border-right: none;
                    width: 100%;
                    position: unset;
                    height: auto;
                    padding-bottom: 0px;
                    .box_area {
                        .menu_area {
                            display: none;
                            padding-top: 0;
                        }
                    }
                }
            }

            .right_side_wrap {
                width: 100%;
                float: unset;
                &.top-space {
                    padding-top: 30px !important;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .dashboard_section {
        .dashboard_inner {
            display: block;
            padding-top: 68px;
            .side_bar_section {
                width: 100%;
                border-right: 0;
                float: unset;
                .side_bar_area {
                    padding-top: 56px;
                    padding-right: 0;
                    border-right: none;
                    width: 100%;
                    position: unset;
                    height: auto;
                    padding-bottom: 10px;
                    .box_area {
                        .menu_area {
                            display: none;
                            padding-top: 0;
                        }
                    }
                }
            }
            .right_side_wrap {
                width: 100%;
                float: unset;
                &.top-space {
                    padding-top: 30px !important;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {}